(function( $ ) {
	'use strict';
	
	$(document).ready(function(e) {
		if ( $('body').hasClass('woocommerce-checkout') ) {
			if(gls_dk_wc.gls_checkout_remove_all == 'on'){
				$("#accordion-style-1").css("display", "none");
			}else{
				if(gls_dk_wc.gls_checkout_remove_pickup == 'on'){
					$("#pickup_parcelshop_card").css("display", "none");
				}
				
				if(gls_dk_wc.gls_checkout_remove_home_delevery == 'on'){
					$("#home_delevery").css("display", "none");
				}
				
				if(gls_dk_wc.gls_remove_pickup_at_firm == 'on'){
					$("#pickup_at_firm").css("display", "none");
				}
				
				if(gls_dk_wc.gls_checkout_remove_business_delevery == 'on'){
					$("#business_delevery_card").css("display", "none");
				}
			}
			
			var zip_code_length=0;
			var zip_code_exact = false;
			var show_gls = false;
			var parcelshop_idx = $('#parcelshop_idx').val();
			var country = "";
			var ie_amt = "";			
			var billing_address = "";
			var post_code = "";			
			
			var ourObj = {};
			ourObj.name = 'ajax_gls_chosen_shipping_methods';
			var data = {
				'action': 'wc_action_callback_gls',
				'type': 'POST',
				'dataType': 'json',
				'contentType': 'application/json',
				'message': JSON.stringify(ourObj)
			};
		   
			$.post(gls_dk_wc.ajaxurl, data, function(response) {
				var ret = JSON.parse(response);
				var chosen = $.trim(ret.chosen);
			
			if ($('#ship-to-different-address').find('input').is(':checked')){
				//country = $('#shipping_country').val();	
				$(':input#shipping_postcode').val(ret.postcode);
				$('#shipping_city').val(ret.city); 				
			}else{
				//country = $('#billing_country').val();
				$(':input#billing_postcode').val(ret.postcode);	
				$('#billing_city').val(ret.city); 
			}
				var ids = $('.shipping_method').map(function () {
					return this.id;
				}).get().join();
				$('#parcelshop_idx').val("0");
				if (chosen.indexOf("_rate") >= 0 ){	
					$('#parcelshop_idx').val("0");
				}else					
				if (chosen.indexOf("_pickup") >= 0 ){	
					$('#parcelshop_idx').val("3");
				}
				
				var flat_rate="";
				var local_pickup="";
				var temp = ids.split(",");
				$.each(temp, function(index, value) {	
					if (value.indexOf("flat_rate") >= 0 ){	
						flat_rate="#"+value;
					}
					
					if (value.indexOf("local_pickup") >= 0 ){	
						local_pickup="#"+value;
					}
				});	
				var idx=parseInt($('#parcelshop_idx').val());
				switch(	idx ){
				case 0:
				case 1:
				case 2:
						if( flat_rate != "" ){
							$( flat_rate ).trigger( "click" );
							$("#collapseOne").collapse("show");
							$('#parcelshop_idx').val("0");
							check_shop_id("0");
				
						}
						break;
				case 3:
						if( local_pickup != "" ){
							$( local_pickup ).trigger( "click" );
							$("#collapseFour").collapse("show");
							$('#parcelshop_idx').val("3"); 
							check_shop_id("3"); 
						}
						break;
				}				
			});	
			
			if ($('#ship-to-different-address').find('input').is(':checked')){
				country = $('#shipping_country').val();		
				if( country !== "DK" ){
					$("#accordion-style-1").css("display", "none");
					return;
				}
				post_code = $('#shipping_postcode').val();				
				billing_address=$('#shipping_address_1').val(); 				
			}else{
				country = $('#billing_country').val();	
				if( country !== "DK" ){
					$("#accordion-style-1").css("display", "none");
					return;
				}
				post_code = $('#billing_postcode').val();
				billing_address=$('#billing_address_1').val(); 				
			}
			
			var opening_hours = $("#opening_hours").val();
			var Closed = $("#Closed").val();
			var Sunday = $("#Sunday").val();
			var Monday = $("#Monday").val();
			var Tuesday = $("#Tuesday").val();
			var Wednesday = $("#Wednesday").val();
			var Thursday = $("#Thursday").val();
			var Friday = $("#Friday").val();
			var Saturday = $("#Saturday").val(); 

			function check_gls(){
				
				if ( country == undefined ){					
					$("#accordion-style-1").css("display", "none");
					//console.log("No Country. Return ......................");
					return;
				}
				
				if( country ==='DK'){
					zip_code_length = 4;
					zip_code_exact = true;
					show_gls = true;
				}else{
					$("#accordion-style-1").css("display", "none");
					return;
				}
				
				if ( post_code != undefined && billing_address != undefined ){
					if( !show_gls ){
						$('#full-width-page-wrapper_gls').hide();
						$("#accordion-style-1").css("display", "none");
					}else{
						$('#accordion-style-1').css('display','block');
						if( parcelshop_idx === '0' ){
							$('#full-width-page-wrapper_gls').show();
							var go=false;
							if( zip_code_exact ){
								if( post_code.length === zip_code_length ){
									go=true;
								}								
							}else{
								if( zip_code_length === 10 ){
									post_code = "";
									go=true;
								}
							}
							
							if(go){
								alert("vf");
								console.log("Hit:   billing_address: "+billing_address+" postcode: "+post_code+" country: "+country+" parcelshop_idx: "+parcelshop_idx+" ie_amt: "+ie_amt);
								var ourObj = {};
								ourObj.name = 'ajax_gls_get_shops';
								ourObj.country = country;
								ourObj.post_code = post_code;
								ourObj.billing_address = billing_address;
								
								//console.log("country,post_code,billing_address,zip_code_exact:",country+","+post_code+","+billing_address+","+zip_code_exact);
								var data = {
									'action': 'wc_action_callback_gls',
									'type': 'POST',
									'dataType': 'json',
									'contentType': 'application/json',
									'message': JSON.stringify(ourObj)
								};
							    
								$.post(gls_dk_wc.ajaxurl, data, function(response) {
									//console.log(response);
									if( response == 'NoUser' ){
										console.log(response);
										var no_api = $("#no_api").val();
										alert(no_api);
										return;
									}
									
									var ret = JSON.parse(response);
									var Latitude = ret.gls_array[0]['test'][9]['Latitude'];
									var Longitude = ret.gls_array[0]['test'][10]['Longitude'];
									
									$('#GlsResults').empty();
									$("#map").remove();
									var g = document.createElement("div");
									g.setAttribute("id", "map");
									document.getElementById("maindiv").appendChild(g);
									
									$("#collapseOne").collapse("show");
									/*						
									map = L.map('map',{ center: [Latitude,Longitude], zoom: 13});

									L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
										attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
									}).addTo(map);*/

									

			
			
									map = L.map('map').setView([Latitude,Longitude], 13);									

									L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
										attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
									}).addTo(map);									

									var CompanyName,Streetname,ZipCode,CityName,Num,DistanceMetersAsTheCrowFlies;
									var openAt_From_0,openAt_From_1,openAt_From_2,openAt_From_3,openAt_From_4,openAt_From_5,openAt_From_6;
									var openAt_To_0,openAt_To_1,openAt_To_2,openAt_To_3,openAt_To_4,openAt_To_5,openAt_To_6;
									var d_0,d_1,d_2,d_3,d_4,d_5,d_6;
									var bottom_top;
									for(var i = 0; i < ret.gls_array.length; ++i) {
										if(i % 2 == 0)
											bottom_top="bottom";
										else
											bottom_top="top";
										CompanyName = ret.gls_array[i]['test'][0]['CompanyName'];
										Streetname = ret.gls_array[i]['test'][1]['Streetname'];
										ZipCode = ret.gls_array[i]['test'][2]['ZipCode'];
										CityName = ret.gls_array[i]['test'][3]['CityName'];
										Num = ret.gls_array[i]['test'][4]['Number'];
										Latitude = ret.gls_array[i]['test'][9]['Latitude'];
										Longitude = ret.gls_array[i]['test'][10]['Longitude'];
										DistanceMetersAsTheCrowFlies = ret.gls_array[i]['test'][7]['DistanceMetersAsTheCrowFlies'];
										
										openAt_From_0 = ret.gls_array[i]['test'][11]['openAt_From_0'];
										openAt_To_0 = ret.gls_array[i]['test'][12]['openAt_To_0'];
										if( openAt_From_0 == "" )
											d_0=Closed;
										else
											d_0=openAt_From_0+'-'+openAt_To_0;
										
										openAt_From_1 = ret.gls_array[i]['test'][13]['openAt_From_1'];
										openAt_To_1 = ret.gls_array[i]['test'][14]['openAt_To_1'];
										if( openAt_From_1 == "" )
											d_1=Closed;
										else
											d_1=openAt_From_1+'-'+openAt_To_1;	
										
										openAt_From_2 = ret.gls_array[i]['test'][15]['openAt_From_2'];
										openAt_To_2 = ret.gls_array[i]['test'][16]['openAt_To_2'];
										if( openAt_From_2 == "" )
											d_2=Closed;
										else
											d_2=openAt_From_2+'-'+openAt_To_2;
										
										openAt_From_3 = ret.gls_array[i]['test'][17]['openAt_From_3'];
										openAt_To_3 = ret.gls_array[i]['test'][18]['openAt_To_3'];
										if( openAt_From_3 == "" )
											d_3=Closed;
										else
											d_3=openAt_From_3+'-'+openAt_To_3;	
										
										openAt_From_4 = ret.gls_array[i]['test'][19]['openAt_From_4'];
										openAt_To_4 = ret.gls_array[i]['test'][20]['openAt_To_4'];
										if( openAt_From_4 == "" )
											d_4=Closed;
										else
											d_4=openAt_From_4+'-'+openAt_To_4;
										
										openAt_From_5 = ret.gls_array[i]['test'][21]['openAt_From_5'];
										openAt_To_5 = ret.gls_array[i]['test'][22]['openAt_To_5'];
										if( openAt_From_5 == "" )
											d_5=Closed;
										else
											d_5=openAt_From_5+'-'+openAt_To_5;	
										
										openAt_From_6 = ret.gls_array[i]['test'][23]['openAt_From_6'];
										openAt_To_6 = ret.gls_array[i]['test'][24]['openAt_To_6'];
										if( openAt_From_6 == "" )
											d_6=Closed;
										else
											d_6=openAt_From_6+'-'+openAt_To_6;	
									
										L.marker([Latitude,Longitude],{title:DistanceMetersAsTheCrowFlies+"meter",alt:"Posision",draggable:false}).bindPopup(Streetname).bindTooltip(CompanyName, {permanent: true, direction : bottom_top, className : 'w_marker'}).openTooltip().on('click', function(event) {
											$("#shopSelecter"+event.target._leaflet_id).prop("checked", true);
											var nr = $("#shopSelecter"+event.target._leaflet_id).val();
											get_shop_from_id(nr);
											$('#parcelshop_number').val(nr);
											$('html, body').animate({
												scrollTop: $("#GlsResults").offset().top
											}, 2000);
										}).addTo(map)._leaflet_id = i;
										
										$('#GlsResults').append(' \
										<div class="accordion" id="accordion_gls'+i+'"> \
										<div class="card"> \
											<div class="card-header" id="heading'+i+'"> \
												<h5 class="mb-0"> \
											<button id="col_but_'+i+'" class="btn btn-link collapsed btn-block text-left" type="button" data-toggle="collapse" data-target="#collapse'+i+'" aria-expanded="false" aria-controls="collapse'+i+'"> \
											  <i class="fa fa-truck main"></i><i class="fa fa-angle-double-right mr-3"></i><input type="radio" class="px-3 mx-3 parcel_number" name="shopSelecter" id="shopSelecter'+i+'" value="'+Num+'"/>'+
												CompanyName +", "+Streetname+", " + ZipCode + " "+ CityName +" ("+DistanceMetersAsTheCrowFlies+"m)"+" [Shop nr: "+Num+"]"+
											'</button> \
										  </h5> \
											</div> \
											<div id="collapse'+i+'" class="collapse collapse_hours fade" aria-labelledby="heading'+i+'" data-parent="#accordion_gls'+i+'"> \
												<div class="card-body"> \
												<div class="row"> \
													<div class="business-hours w-50"> \
														<h2 class="title">'+opening_hours+'</h2> \
														<ul class="list-unstyled opening-hours"> \
															<li>'+Sunday+' <span class="pull-right">'+d_6+'</span></li> \
															<li>'+Monday+' <span class="pull-right">'+d_0+'</span></li> \
															<li>'+Tuesday+' <span class="pull-right">'+d_1+'</span></li> \
															<li>'+Wednesday+' <span class="pull-right">'+d_2+'</span></li> \
															<li>'+Thursday+' <span class="pull-right">'+d_3+'</span></li> \
															<li>'+Friday+' <span class="pull-right">'+d_4+'</span></li> \
															<li>'+Saturday+' <span class="pull-right">'+d_5+'</span></li> \
														</ul> \
													</div> \
												</div> \
												</div> \
											</div> \
										</div> \
										</div>');
										$('.opening-hours li').eq(new Date().getDay()).addClass('today');
									}
								});						
							}else{
								$('#full-width-page-wrapper_gls').hide();
								$("#accordion-style-1").css("display", "none");
							}											
						}
					}
				}
			}
				
			function get_shop_from_id(shop_number){
				var shop_nr_length = '5';
				
				if( shop_number.length == shop_nr_length ){
					var ourObj = {};
					ourObj.name = 'ajax_gls_number';
					ourObj.shop_number = shop_number;
					ourObj.country = country;
					
					var data = {
						'action': 'wc_action_callback_gls',
						'type': 'POST',
						'dataType': 'json',
						'contentType': 'application/json',
						'message': JSON.stringify(ourObj)
					};
				   
					$.post(gls_dk_wc.ajaxurl, data, function(response) {
						//console.log(response);
						if( response == 'NoUser' ){
							console.log(response);
							var no_api = $("#no_api").val();
							alert(no_api);
							return;
						}
						
						var ret = JSON.parse(response);
						
						var Latitude = ret.gls_array[0]['test'][9]['Latitude'];
						var Longitude = ret.gls_array[0]['test'][10]['Longitude'];
						
						var CompanyName,Streetname,ZipCode,CityName,Number,DistanceMetersAsTheCrowFlies;
						var openAt_From_0,openAt_From_1,openAt_From_2,openAt_From_3,openAt_From_4,openAt_From_5,openAt_From_6;
						var openAt_To_0,openAt_To_1,openAt_To_2,openAt_To_3,openAt_To_4,openAt_To_5,openAt_To_6;
						var d_0,d_1,d_2,d_3,d_4,d_5,d_6;
						var bottom_top;	
						CompanyName = ret.gls_array[0]['test'][0]['CompanyName'];
						Streetname = ret.gls_array[0]['test'][1]['Streetname'];
						ZipCode = ret.gls_array[0]['test'][2]['ZipCode'];
						CityName = ret.gls_array[0]['test'][3]['CityName'];
						Number = ret.gls_array[0]['test'][4]['Number'];
						DistanceMetersAsTheCrowFlies = ret.gls_array[0]['test'][7]['DistanceMetersAsTheCrowFlies'];	
						
						openAt_From_0 = ret.gls_array[0]['test'][11]['openAt_From_0'];
						openAt_To_0 = ret.gls_array[0]['test'][12]['openAt_To_0'];
						if( openAt_From_0 == "" )
							d_0=Closed;
						else
							d_0=openAt_From_0+'-'+openAt_To_0;
						
						openAt_From_1 = ret.gls_array[0]['test'][13]['openAt_From_1'];
						openAt_To_1 = ret.gls_array[0]['test'][14]['openAt_To_1'];
						if( openAt_From_1 == "" )
							d_1=Closed;
						else
							d_1=openAt_From_1+'-'+openAt_To_1;	
						
						openAt_From_2 = ret.gls_array[0]['test'][15]['openAt_From_2'];
						openAt_To_2 = ret.gls_array[0]['test'][16]['openAt_To_2'];
						if( openAt_From_2 == "" )
							d_2=Closed;
						else
							d_2=openAt_From_2+'-'+openAt_To_2;
						
						openAt_From_3 = ret.gls_array[0]['test'][17]['openAt_From_3'];
						openAt_To_3 = ret.gls_array[0]['test'][18]['openAt_To_3'];
						if( openAt_From_3 == "" )
							d_3=Closed;
						else
							d_3=openAt_From_3+'-'+openAt_To_3;	
						
						openAt_From_4 = ret.gls_array[0]['test'][19]['openAt_From_4'];
						openAt_To_4 = ret.gls_array[0]['test'][20]['openAt_To_4'];
						if( openAt_From_4 == "" )
							d_4=Closed;
						else
							d_4=openAt_From_4+'-'+openAt_To_4;
						
						openAt_From_5 = ret.gls_array[0]['test'][21]['openAt_From_5'];
						openAt_To_5 = ret.gls_array[0]['test'][22]['openAt_To_5'];
						if( openAt_From_5 == "" )
							d_5=Closed;
						else
							d_5=openAt_From_5+'-'+openAt_To_5;	
						
						openAt_From_6 = ret.gls_array[0]['test'][23]['openAt_From_6'];
						openAt_To_6 = ret.gls_array[0]['test'][24]['openAt_To_6'];
						if( openAt_From_6 == "" )
							d_6=Closed;
						else
							d_6=openAt_From_6+'-'+openAt_To_6;	
								
						if( CompanyName.length > 0 ){
							
							$('#GlsResults').empty();
							$("#map").remove();
							var g = document.createElement("div");
							g.setAttribute("id", "map");
							document.getElementById("maindiv").appendChild(g);						
							
							map = L.map('map',{ center: [Latitude,Longitude], zoom: 13});
							//L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', { attribution: '© OpenStreetMap' }).addTo(map);
									
							L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
								attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
							}).addTo(map);
					
							map.dragging.enable();
							
							L.marker([Latitude,Longitude],{title:DistanceMetersAsTheCrowFlies+"meter",alt:"Posision",draggable:false}).bindPopup(Streetname).bindTooltip('<strong>'+CompanyName+'</strong>', {interactive:true,permanent: true, direction : bottom_top, className : 'w_marker'}).openTooltip().on('click', function(event) {
							  $("#shopSelecter"+event.target._leaflet_id).prop("checked", true);
							  $("#collapse"+event.target._leaflet_id).collapse("show");
							  $('#parcelshop_number').val($("#shopSelecter"+event.target._leaflet_id).val());
							}).addTo(map)._leaflet_id = 0;

							$('#GlsResults').append(' \
							<div class="card"> \
								<div class="card-header" id="heading0"> \
									<h5 class="mb-0"> \
								<button id="col_but" class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapse0" aria-expanded="true" aria-controls="collapse0"> \
								  <i class="fa fa-truck main"></i><i class="fa fa-angle-double-right mr-3"></i><input type="radio" class="px-3 mx-3 required" name="shopSelecter" id="shopSelecter0" value="'+Number+'"/>'+
									CompanyName +", "+Streetname+", " + ZipCode + " "+ CityName +" [Shop nr: "+Number+"]"+
								'</button> \
							  </h5> \
								</div> \
								<div id="collapse0" class="collapse fade show" aria-labelledby="heading0" data-parent="#accordion_gls"> \
									<div class="card-body"> \
										<div class="col-sm-4"></div> \
										<div class="col-sm-8"> \
											<div class="business-hours"> \
												<h2 class="title">'+opening_hours+'</h2> \
												<ul class="list-unstyled opening-hours"> \
													<li>'+Sunday+' <span class="pull-right">'+d_6+'</span></li> \
													<li>'+Monday+' <span class="pull-right">'+d_0+'</span></li> \
													<li>'+Tuesday+' <span class="pull-right">'+d_1+'</span></li> \
													<li>'+Wednesday+' <span class="pull-right">'+d_2+'</span></li> \
													<li>'+Thursday+' <span class="pull-right">'+d_3+'</span></li> \
													<li>'+Friday+' <span class="pull-right">'+d_4+'</span></li> \
													<li>'+Saturday+' <span class="pull-right">'+d_5+'</span></li> \
												</ul> \
											</div> \
										</div> \
									</div> \
								</div> \
							</div>');

							$("#shopSelecter0").prop('checked', true); 						
						}						
					});
				}
			}
			
			var idx_val='-1';
			function check_shop_id(idx){
				var ourObj = {};
				ourObj.name = 'ajax_gls_shipp';
				ourObj.idx = idx;
				var data = {
					'action': 'wc_action_callback_gls',
					'type': 'POST',
					'dataType': 'json',
					'contentType': 'application/json',
					'message': JSON.stringify(ourObj)
				};
			   
				$.post(gls_dk_wc.ajaxurl, data, function(response) {
					var object = jQuery.parseJSON(response);
					var idx_val=parseInt(object.idx);
					
					var ids = $('.shipping_method').map(function () {
						return this.id;
					}).get().join();
					
					var flat_rate="";
					var local_pickup="";
					var temp = ids.split(",");
					$.each(temp, function(index, value) {	
						if (value.indexOf("flat_rate") >= 0 ){	
							flat_rate="#"+value;
						}
						
						if (value.indexOf("local_pickup") >= 0 ){	
							local_pickup="#"+value;
						}
					});	
					switch(	idx_val ){
					case 0:
					case 1:
					case 2:
							if( flat_rate != "" ){
								$( flat_rate ).trigger( "click" );
							}
							break;
					case 3:
							if( local_pickup != "" ){
								$( local_pickup ).trigger( "click" );
							}
							break;
					}
				
					$('body').trigger('update_checkout');
				});			
			}		
			
			var old_billing_address=billing_address;
			var old_post_code=post_code;
			var old_country=country;	
			function locate() {
				var chk=false;
				if ($('#ship-to-different-address').find('input').is(':checked')){
					if( old_billing_address != $('#shipping_address_1').val()){
						billing_address=$('#shipping_address_1').val(); 
						old_billing_address=billing_address;
						chk=true;
					}
					
					if( old_post_code != $('#shipping_postcode').val()){
						post_code=$('#shipping_postcode').val(); 
						old_post_code=post_code;
						chk=true;
					}
					
					if( old_country != $('#shipping_country').val()){
						country=$('#shipping_country').val(); 
						old_country=country;
						chk=true;
					}
				}else{
					if( old_billing_address != $('#billing_address_1').val()){
						billing_address=$('#billing_address_1').val(); 
						old_billing_address=billing_address;
						chk=true;
					}
					
					if( old_post_code != $('#billing_postcode').val()){
						post_code=$('#billing_postcode').val(); 
						old_post_code=post_code;
						chk=true;
					}
					
					if( old_country != $('#billing_country').val()){
						country=$('#billing_country').val(); 
						old_country=country;
						chk=true;
					}
				}
				
				if( chk ){
					check_gls();
				}
			}

			setInterval(locate, 400);
			
			$('#ship-to-different-address-checkbox').change(function() {
				if($(this).is(":checked")) {
					$("#ship_to_different_address").val("shipping_");
					country = $('#shipping_country').val();
					billing_address = $('#shipping_address_1').val();
					post_code = $(':input#shipping_postcode').val();
					$("#ship_to_different_address").val("shipping_");
					ie_amt=jQuery('#shipping_state :selected').text();
				}else{
					$("#ship_to_different_address").val("billing_");
					country = $('#billing_country').val();
					billing_address = $('#billing_address_1').val();
					post_code = $(':input#billing_postcode').val();
					ie_amt=jQuery('#billing_state :selected').text();
				}
			})	
			
			$('.collapse_idx').on('shown.bs.collapse', function (e) {
				if ($(this).is(e.target)) {
					switch(e.currentTarget.id){
						case 'collapseOne':
							$('#parcelshop_idx').val("0");
							parcelshop_idx = "0";
							check_shop_id("0");
							check_gls();
							break;
						case 'collapseTwo':
							$('#parcelshop_idx').val("1"); 
							parcelshop_idx = "1";
							check_shop_id("1"); 
							break;
						case 'collapseThree':
							$('#parcelshop_idx').val("2"); 
							parcelshop_idx = "2";
							check_shop_id("2"); 
							break;
						case 'collapseFour':
							$('#parcelshop_idx').val("3"); 
							parcelshop_idx = "3";
							check_shop_id("3"); 
							break;
					}
				}
			});			
			
			$('#billing_country').on('change',function(){
				if ($('#ship-to-different-address').find('input').is(':checked'))
					return;
				country=$(this).val();
			});
					
			$('#shipping_country').on('change',function(){
				if (!$('#ship-to-different-address').find('input').is(':checked'))
					return;
				country=$(this).val();
			});		
			
			$(':input#billing_postcode').on('paste keyup keydown change paste blur propertychange',function(e){
				if ($('#ship-to-different-address').find('input').is(':checked'))
					return;
				post_code=$(this).val();
			});
			
			$(':input#shipping_postcode').on('keyup keydown change paste blur propertychange',function(){
				if (!$('#ship-to-different-address').find('input').is(':checked'))
					return;
				post_code=$(this).val();
			});	
			
			$('#billing_address_1').on('keyup keydown change paste blur propertychange click',function(){
				if ($('#ship-to-different-address').find('input').is(':checked'))
					return;
				billing_address=$(this).val();
			});
					
			$('#shipping_address_1').on('keyup keydown change paste blur propertychange',function(){
				if (!$('#ship-to-different-address').find('input').is(':checked'))
					return;
				billing_address=$(this).val();
			});			

			jQuery( 'form.checkout' ).on( 'change', 'input[name^="shipping_method"]', function (e) {
				if($(this).is(":checked")) {
					var value=$(this).val();	
					if (value.indexOf("flat_rate") >= 0 ){	
						$("#collapseOne").collapse("show");
						$('#parcelshop_idx').val("0");
						check_shop_id("0");
					}
					
					if (value.indexOf("local_pickup") >= 0 ){
						$("#collapseFour").collapse("show");
						$('#parcelshop_idx').val("3"); 
						check_shop_id("3"); 
					}
				}
			});	

			$("body").on("change", "input[name=shopSelecter]:radio", function(e){
			//$('input[type=radio][name="shopSelecter"]').change(function () { 
				//console.log("Radio xxxxxxxxxxxxxx");
				if($(this).is(":checked")) {
					//e.preventDefault();
					//console.log($(this).val());	
					$('#parcelshop_number').val($(this).val()); 			
					var shop_number=$(this).val();
					get_shop_from_id(shop_number);
					var shop_idx=$('#parcelshop_idx').val();
					check_shop_id(shop_idx); 
				}
			});
		}
	});

	document.addEventListener("DOMContentLoaded", function(e) {
	});	

})( jQuery );
