<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class gls_dk_wc_class_hooks_admin {

	protected $plugin_name;
    protected $plugin_data;
	
	public function __construct ( $parent ) {
		$this->parent = $parent;
		$this->plugin_data = $this->parent->get_plugin_data();
		//$this->set_admin_hook();
	}
	
	/**
	 * Recursive sanitation for an array
	 * 
	 * @param $array
	 *
	 * @return mixed
	 */
	function recursive_sanitize_text_field($array) {
		foreach ( $array as $key => &$value ) {
			if ( is_array( $value ) ) {
				$value = recursive_sanitize_text_field($value);
			}
			else {
				$value = sanitize_text_field( $value );
			}
		}

		return $array;
	}			

	public function callback_reset_gls_dk_wc() {
		if (isset($_POST['message'])) {
			$ar=$_POST['message'];
			$arr=$this->recursive_sanitize_text_field($arr);
			$points = json_decode(stripslashes($ar));	
					
			foreach ( wp_load_alloptions() as $option => $value ) {
				if ( strpos( $option, $points->base.$points->plug_name.'_'.$points->tab.'_' ) === 0) {
					delete_option( $option );
				}
			}	
			$json = array();			
			$json['data'] = $points->base.$points->plug_name.'_'.$points->tab.'_';
			$encoded = json_encode($json);
			echo $encoded;
		}
		// Always exit to avoid further execution
		//exit();  	
		die();
	}

	public static function instance ( $parent ) {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self( $parent );
		}
		return self::$_instance;
	} // End instance()

	public function __clone () {
		_doing_it_wrong( __FUNCTION__, __( 'Cheatin&#8217; huh?' ), $this->parent->_version );
	} // End __clone()

	public function __wakeup () {
		_doing_it_wrong( __FUNCTION__, __( 'Cheatin&#8217; huh?' ), $this->parent->_version );
	} // End __wakeup()
	
}